org.eclnt.jsfserver.elements.componentnodes

## Class OUTLOOKBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.OUTLOOKBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class OUTLOOKBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OUTLOOKBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OUTLOOKBARNode` | `bindActionListener(IActionListenerDelegation value)`
    `OUTLOOKBARNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindAnimationtype(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindBgpaintdefault(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindBgpaintrollover(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindBgpaintselected(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindClientname(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindColspan(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindFont(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindFontselected(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindForegrounddefault(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindForegroundselected(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindFxstyleseqitems(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindHeight(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindReselectable(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindRounding(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindShadow(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindValue(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindWidth(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindX(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `bindY(IDynamicContentBindingObject value)`
    `OUTLOOKBARNode` | `setActionListener(java.lang.String value)`
    `OUTLOOKBARNode` | `setAnimatechangeofsize(boolean value)`
    `OUTLOOKBARNode` | `setAnimatechangeofsize(java.lang.String value)`
    `OUTLOOKBARNode` | `setAnimationtype(java.lang.String value)`
    `OUTLOOKBARNode` | `setAttributemacro(java.lang.String value)`
    `OUTLOOKBARNode` | `setBgpaintdefault(java.lang.String value)`
    `OUTLOOKBARNode` | `setBgpaintrollover(java.lang.String value)`
    `OUTLOOKBARNode` | `setBgpaintselected(java.lang.String value)`
    `OUTLOOKBARNode` | `setClientname(java.lang.String value)`
    `OUTLOOKBARNode` | `setColspan(int value)`
    `OUTLOOKBARNode` | `setColspan(java.lang.String value)`
    `OUTLOOKBARNode` | `setComment(java.lang.String value)`
    `OUTLOOKBARNode` | `setComponentbinding(java.lang.String value)`
    `OUTLOOKBARNode` | `setConfiginfo(java.lang.String value)`
    `OUTLOOKBARNode` | `setFont(java.lang.String value)`
    `OUTLOOKBARNode` | `setFontselected(java.lang.String value)`
    `OUTLOOKBARNode` | `setForegrounddefault(java.lang.String value)`
    `OUTLOOKBARNode` | `setForegroundselected(java.lang.String value)`
    `OUTLOOKBARNode` | `setFxstyleseq(java.lang.String value)`
    `OUTLOOKBARNode` | `setFxstyleseqitems(java.lang.String value)`
    `OUTLOOKBARNode` | `setHeight(int value)`
    `OUTLOOKBARNode` | `setHeight(java.lang.String value)`
    `OUTLOOKBARNode` | `setId(java.lang.String value)`
    `OUTLOOKBARNode` | `setReference(java.lang.String value)`
    `OUTLOOKBARNode` | `setRendered(boolean value)`
    `OUTLOOKBARNode` | `setRendered(java.lang.String value)`
    `OUTLOOKBARNode` | `setReselectable(boolean value)`
    `OUTLOOKBARNode` | `setReselectable(java.lang.String value)`
    `OUTLOOKBARNode` | `setRounding(int value)`
    `OUTLOOKBARNode` | `setRounding(java.lang.String value)`
    `OUTLOOKBARNode` | `setRowalignmenty(java.lang.String value)`
    `OUTLOOKBARNode` | `setShadow(java.lang.String value)`
    `OUTLOOKBARNode` | `setStyleseq(java.lang.String value)`
    `OUTLOOKBARNode` | `setStylevariant(java.lang.String value)`
    `OUTLOOKBARNode` | `setValue(java.lang.String value)`
    `OUTLOOKBARNode` | `setWidth(int value)`
    `OUTLOOKBARNode` | `setWidth(java.lang.String value)`
    `OUTLOOKBARNode` | `setX(int value)`
    `OUTLOOKBARNode` | `setX(java.lang.String value)`
    `OUTLOOKBARNode` | `setY(int value)`
    `OUTLOOKBARNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OUTLOOKBARNode

          public OUTLOOKBARNode()

  - ### Method Detail

    - #### setId

          public OUTLOOKBARNode setId(java.lang.String value)

    - #### setActionListener

          public OUTLOOKBARNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public OUTLOOKBARNode bindActionListener(IActionListenerDelegation value)

    - #### setAnimatechangeofsize

          public OUTLOOKBARNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public OUTLOOKBARNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public OUTLOOKBARNode setAnimatechangeofsize(boolean value)

    - #### setAnimationtype

          public OUTLOOKBARNode setAnimationtype(java.lang.String value)

    - #### bindAnimationtype

          public OUTLOOKBARNode bindAnimationtype(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public OUTLOOKBARNode setAttributemacro(java.lang.String value)

    - #### setBgpaintdefault

          public OUTLOOKBARNode setBgpaintdefault(java.lang.String value)

    - #### bindBgpaintdefault

          public OUTLOOKBARNode bindBgpaintdefault(IDynamicContentBindingObject value)

    - #### setBgpaintrollover

          public OUTLOOKBARNode setBgpaintrollover(java.lang.String value)

    - #### bindBgpaintrollover

          public OUTLOOKBARNode bindBgpaintrollover(IDynamicContentBindingObject value)

    - #### setBgpaintselected

          public OUTLOOKBARNode setBgpaintselected(java.lang.String value)

    - #### bindBgpaintselected

          public OUTLOOKBARNode bindBgpaintselected(IDynamicContentBindingObject value)

    - #### setClientname

          public OUTLOOKBARNode setClientname(java.lang.String value)

    - #### bindClientname

          public OUTLOOKBARNode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public OUTLOOKBARNode setColspan(java.lang.String value)

    - #### bindColspan

          public OUTLOOKBARNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public OUTLOOKBARNode setColspan(int value)

    - #### setComment

          public OUTLOOKBARNode setComment(java.lang.String value)

    - #### bindComment

          public OUTLOOKBARNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public OUTLOOKBARNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public OUTLOOKBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public OUTLOOKBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFont

          public OUTLOOKBARNode setFont(java.lang.String value)

    - #### bindFont

          public OUTLOOKBARNode bindFont(IDynamicContentBindingObject value)

    - #### setFontselected

          public OUTLOOKBARNode setFontselected(java.lang.String value)

    - #### bindFontselected

          public OUTLOOKBARNode bindFontselected(IDynamicContentBindingObject value)

    - #### setForegrounddefault

          public OUTLOOKBARNode setForegrounddefault(java.lang.String value)

    - #### bindForegrounddefault

          public OUTLOOKBARNode bindForegrounddefault(IDynamicContentBindingObject value)

    - #### setForegroundselected

          public OUTLOOKBARNode setForegroundselected(java.lang.String value)

    - #### bindForegroundselected

          public OUTLOOKBARNode bindForegroundselected(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public OUTLOOKBARNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public OUTLOOKBARNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setFxstyleseqitems

          public OUTLOOKBARNode setFxstyleseqitems(java.lang.String value)

    - #### bindFxstyleseqitems

          public OUTLOOKBARNode bindFxstyleseqitems(IDynamicContentBindingObject value)

    - #### setHeight

          public OUTLOOKBARNode setHeight(java.lang.String value)

    - #### bindHeight

          public OUTLOOKBARNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public OUTLOOKBARNode setHeight(int value)

    - #### setReference

          public OUTLOOKBARNode setReference(java.lang.String value)

    - #### setRendered

          public OUTLOOKBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public OUTLOOKBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public OUTLOOKBARNode setRendered(boolean value)

    - #### setReselectable

          public OUTLOOKBARNode setReselectable(java.lang.String value)

    - #### bindReselectable

          public OUTLOOKBARNode bindReselectable(IDynamicContentBindingObject value)

    - #### setReselectable

          public OUTLOOKBARNode setReselectable(boolean value)

    - #### setRounding

          public OUTLOOKBARNode setRounding(java.lang.String value)

    - #### bindRounding

          public OUTLOOKBARNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public OUTLOOKBARNode setRounding(int value)

    - #### setRowalignmenty

          public OUTLOOKBARNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public OUTLOOKBARNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public OUTLOOKBARNode setShadow(java.lang.String value)

    - #### bindShadow

          public OUTLOOKBARNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public OUTLOOKBARNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public OUTLOOKBARNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public OUTLOOKBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public OUTLOOKBARNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValue

          public OUTLOOKBARNode setValue(java.lang.String value)

    - #### bindValue

          public OUTLOOKBARNode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public OUTLOOKBARNode setWidth(java.lang.String value)

    - #### bindWidth

          public OUTLOOKBARNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public OUTLOOKBARNode setWidth(int value)

    - #### setX

          public OUTLOOKBARNode setX(java.lang.String value)

    - #### bindX

          public OUTLOOKBARNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public OUTLOOKBARNode setX(int value)

    - #### setY

          public OUTLOOKBARNode setY(java.lang.String value)

    - #### bindY

          public OUTLOOKBARNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public OUTLOOKBARNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.